<?
// новые сообщения
$count = 0;
if ( isset($player["msg"]) && count($player["msg"]) ) foreach (array_keys($player["msg"]) as $i) if ( $player["msg"][$i] && isset($game["players"][$i]) ) $count++;
if ($count) $page_main.= "<a href=\"$PHP_SELF?sid=$sid&msg=1\">сообщение: $count</a>";
?>